

# GetPricingPlan


Gets the pricing plan.

## Request Syntax


```
GET /pricingplan HTTP/1.1
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "currentPricingPlan": { 
      "billableEntityCount": number,
      "bundleInformation": { 
         "bundleNames": [ "string" ],
         "pricingTier": "string"
      },
      "effectiveDateTime": number,
      "pricingMode": "string",
      "updateDateTime": number,
      "updateReason": "string"
   },
   "pendingPricingPlan": { 
      "billableEntityCount": number,
      "bundleInformation": { 
         "bundleNames": [ "string" ],
         "pricingTier": "string"
      },
      "effectiveDateTime": number,
      "pricingMode": "string",
      "updateDateTime": number,
      "updateReason": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [currentPricingPlan](#API_GetPricingPlan_ResponseSyntax) **   <a name="tm-GetPricingPlan-response-currentPricingPlan"></a>
The chosen pricing plan for the current billing cycle.  
Type: [PricingPlan](API_PricingPlan.md) object

 ** [pendingPricingPlan](#API_GetPricingPlan_ResponseSyntax) **   <a name="tm-GetPricingPlan-response-pendingPricingPlan"></a>
The pending pricing plan.  
Type: [PricingPlan](API_PricingPlan.md) object

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error has occurred.  
HTTP Status Code: 500

 ** ThrottlingException **   
The rate exceeds the limit.  
HTTP Status Code: 429

 ** ValidationException **   
Failed  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iottwinmaker-2021-11-29/GetPricingPlan) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iottwinmaker-2021-11-29/GetPricingPlan) 